Support » Plugin: C3 Cloudfront Cache Controller » what version of the cloudfront API does this use?

  • seanhelmes

    (@seanhelmes)


    What version of the Cloudfront API does this use? The older versions of the Cloudfront API from prior to 2016 are being depreciated on June 6th, 2019 as per the below note from AWS:

    On April 4, AWS announced via a Developer Forum post, that CloudFront will deprecate the oldest versions of the CloudFront API, specifically those dated prior to 2016, on Thursday, June 6, 2019. As CloudFront has evolved, new features and concepts (such as origin groups and support for SNI certificates) have been introduced that can’t be represented in the older APIs. To improve overall support and consistency for CloudFront developers we’re reducing the number of API versions we need to maintain.

    Beginning on June 6, 2019 the listed versions of the CloudFront APIs will stop working and will instead return a “410: Gone” response code. To prevent disruption to any calling applications, we recommend that you upgrade applications that invoke these APIs as quickly as possible. If you have questions about this notice, please contact AWS Support.

  • You must be logged in to reply to this topic.